public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/elastic-transport/
Date: Sat, 18 Feb 2023 07:16:12 +0000 (UTC)	[thread overview]
Message-ID: <1676704557.c53e9567e03d3fa4ddb7e28e5397d13e8cc248b1.sam@gentoo> (raw)

commit:     c53e9567e03d3fa4ddb7e28e5397d13e8cc248b1
Author:     Alfred Wingate <parona <AT> protonmail <DOT> com>
AuthorDate: Thu Feb 16 09:52:13 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Feb 18 07:15:57 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c53e9567

dev-python/elastic-transport: new package, add 8.4.0

Signed-off-by: Alfred Wingate <parona <AT> protonmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-python/elastic-transport/Manifest              |  1 +
 .../elastic-transport-8.4.0.ebuild                 | 55 ++++++++++++++++++++++
 dev-python/elastic-transport/metadata.xml          | 16 +++++++
 3 files changed, 72 insertions(+)

diff --git a/dev-python/elastic-transport/Manifest b/dev-python/elastic-transport/Manifest
new file mode 100644
index 000000000000..e073f70eadc6
--- /dev/null
+++ b/dev-python/elastic-transport/Manifest
@@ -0,0 +1 @@
+DIST elastic-transport-8.4.0.gh.tar.gz 70975 BLAKE2B cec717606a55906da9157a0aaa3c656041201c2b62c77d42a67aabaad387c2e9f139dd1bd39e31b15f51fa2ac1b605d9f98b540000ee03d8aecf118cf972048a SHA512 82d0e0af3992335ce17bdc2a74f80fbf98bc9873d798be65f30d59fa55cb3bf50b55821133ea01d2ced9c27bf4019bac19e76e6853c29b87762ae0a9b593c3f5

diff --git a/dev-python/elastic-transport/elastic-transport-8.4.0.ebuild b/dev-python/elastic-transport/elastic-transport-8.4.0.ebuild
new file mode 100644
index 000000000000..c2beee2e25d7
--- /dev/null
+++ b/dev-python/elastic-transport/elastic-transport-8.4.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+inherit distutils-r1
+
+DESCRIPTION="Transport classes and utilities shared among Python Elastic client libraries"
+HOMEPAGE="
+	https://github.com/elastic/elastic-transport-python
+	https://pypi.org/project/elastic-transport/
+"
+SRC_URI="https://github.com/elastic/elastic-transport-python/archive/refs/tags/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}/${PN}-python-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+PROPERTIES="test_network"
+RESTRICT="test"
+
+RDEPEND="
+	dev-python/certifi[${PYTHON_USEDEP}]
+	>=dev-python/urllib3-1.26.2[${PYTHON_USEDEP}] <dev-python/urllib3-2[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	test? (
+		  ${RDEPEND}
+		  dev-python/aiohttp[${PYTHON_USEDEP}]
+		  dev-python/mock[${PYTHON_USEDEP}]
+		  dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+		  dev-python/pytest-httpserver[${PYTHON_USEDEP}]
+		  dev-python/pytest-mock[${PYTHON_USEDEP}]
+		  dev-python/requests[${PYTHON_USEDEP}]
+		  dev-python/trustme[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_sphinx docs/sphinx dev-python/furo dev-python/sphinx-autodoc-typehints
+distutils_enable_tests pytest
+
+src_prepare() {
+	# Remove extra options from tests. Mainly to avoid dependance on coverage
+	sed -i '/[tool:pytest]/,/^$/ d' setup.cfg || die
+	# Pytest options add more warnings and individually ingoring warnings would be more hassle than worth
+	# So lets just remove the bit counting warnings, as the test checks if there is a specific warning eitherway.
+	sed -i '/test_uses_https_if_verify_certs_is_off/,/def/ { /assert 1 == len(w)/ d }' \
+		tests/node/test_http_aiohttp.py || die
+
+	default
+}

diff --git a/dev-python/elastic-transport/metadata.xml b/dev-python/elastic-transport/metadata.xml
new file mode 100644
index 000000000000..a37877aad185
--- /dev/null
+++ b/dev-python/elastic-transport/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <maintainer type="person" proxied="yes">
+    <email>parona@protonmail.com</email>
+    <name>Alfred Wingate</name>
+  </maintainer>
+  <maintainer type="project" proxied="proxy">
+    <email>proxy-maint@gentoo.org</email>
+    <name>Proxy Maintainers</name>
+  </maintainer>
+  <upstream>
+    <remote-id type="github">elastic/elastic-transport-python</remote-id>
+    <remote-id type="pypi">elastic-transport</remote-id>
+  </upstream>
+</pkgmetadata>


             reply	other threads:[~2023-02-18  7:16 UTC|newest]

Thread overview: 37+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-02-18  7:16 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-04-05 14:27 [gentoo-commits] repo/gentoo:master commit in: dev-python/elastic-transport/ Arthur Zamarin
2023-04-05 14:27 Arthur Zamarin
2023-08-20 17:37 Arthur Zamarin
2023-09-26  4:42 Michał Górny
2023-10-07 16:05 Michał Górny
2023-10-29 19:52 Michał Górny
2023-10-30 18:10 Michał Górny
2023-11-11 19:21 Sam James
2023-11-11 20:17 Arthur Zamarin
2023-11-11 20:50 Michał Górny
2023-11-24 15:12 Arthur Zamarin
2023-12-14 13:58 Michał Górny
2023-12-30 14:25 Arthur Zamarin
2023-12-30 14:51 Arthur Zamarin
2023-12-31  3:49 Sam James
2023-12-31  7:17 Michał Górny
2024-01-19 18:28 Arthur Zamarin
2024-01-20 19:54 Arthur Zamarin
2024-01-20 19:54 Arthur Zamarin
2024-02-03 11:02 Sam James
2024-02-03 11:44 Michał Górny
2024-03-29 15:28 Michał Górny
2024-04-14  5:15 Joonas Niilola
2024-04-14 18:02 Arthur Zamarin
2024-04-14 18:27 Arthur Zamarin
2024-04-14 18:55 Arthur Zamarin
2024-04-14 18:55 Arthur Zamarin
2024-04-14 19:10 Michał Górny
2024-05-28 14:30 Michał Górny
2024-06-12  6:48 Arthur Zamarin
2024-06-12  7:42 Michał Górny
2024-07-12 19:26 Michał Górny
2024-08-13  4:55 Michał Górny
2024-08-31  7:49 Sam James
2024-08-31  9:21 Michał Górny
2024-10-10  5:03 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1676704557.c53e9567e03d3fa4ddb7e28e5397d13e8cc248b1.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox